package dev.shadowsoffire.apotheosis.adventure;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import dev.shadowsoffire.apotheosis.Apotheosis;
import dev.shadowsoffire.apotheosis.adventure.Adventure;
import dev.shadowsoffire.apotheosis.adventure.affix.salvaging.SalvageItem;
import dev.shadowsoffire.apotheosis.adventure.boss.BossSummonerItem;
import dev.shadowsoffire.apotheosis.adventure.loot.RarityRegistry;
import dev.shadowsoffire.apotheosis.adventure.socket.gem.GemItem;
import dev.shadowsoffire.apotheosis.util.TooltipItem;
import net.minecraft.world.item.BlockItem;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.Rarity;
import net.minecraft.world.level.block.Block;
import net.minecraftforge.registries.RegistryObject;

public class Items {
  public static final RegistryObject<Item> COMMON_MATERIAL = rarityMat("common");
  
  public static final RegistryObject<Item> UNCOMMON_MATERIAL = rarityMat("uncommon");
  
  public static final RegistryObject<Item> RARE_MATERIAL = rarityMat("rare");
  
  public static final RegistryObject<Item> EPIC_MATERIAL = rarityMat("epic");
  
  public static final RegistryObject<Item> MYTHIC_MATERIAL = rarityMat("mythic");
  
  public static final RegistryObject<Item> ANCIENT_MATERIAL = rarityMat("ancient");
  
  public static final RegistryObject<Item> GEM_DUST = Adventure.R.item("gem_dust", () -> new Item(new Item.Properties()));
  
  public static final RegistryObject<Item> GEM_FUSED_SLATE = Adventure.R.item("gem_fused_slate", () -> new Item(new Item.Properties()));
  
  public static final RegistryObject<Item> SIGIL_OF_SOCKETING = Adventure.R.item("sigil_of_socketing", () -> new TooltipItem((new Item.Properties()).m_41497_(Rarity.UNCOMMON)));
  
  public static final RegistryObject<Item> SIGIL_OF_WITHDRAWAL = Adventure.R.item("sigil_of_withdrawal", () -> new TooltipItem((new Item.Properties()).m_41497_(Rarity.UNCOMMON)));
  
  public static final RegistryObject<Item> SIGIL_OF_REBIRTH = Adventure.R.item("sigil_of_rebirth", () -> new TooltipItem((new Item.Properties()).m_41497_(Rarity.UNCOMMON)));
  
  public static final RegistryObject<Item> SIGIL_OF_ENHANCEMENT = Adventure.R.item("sigil_of_enhancement", () -> new TooltipItem((new Item.Properties()).m_41497_(Rarity.UNCOMMON)));
  
  public static final RegistryObject<Item> SIGIL_OF_UNNAMING = Adventure.R.item("sigil_of_unnaming", () -> new TooltipItem((new Item.Properties()).m_41497_(Rarity.UNCOMMON)));
  
  public static final RegistryObject<Item> BOSS_SUMMONER = Adventure.R.item("boss_summoner", () -> new BossSummonerItem(new Item.Properties()));
  
  public static final RegistryObject<Item> SIMPLE_REFORGING_TABLE = Adventure.R.item("simple_reforging_table", () -> new BlockItem((Block)Adventure.Blocks.SIMPLE_REFORGING_TABLE.get(), new Item.Properties()));
  
  public static final RegistryObject<Item> REFORGING_TABLE = Adventure.R.item("reforging_table", () -> new BlockItem((Block)Adventure.Blocks.REFORGING_TABLE.get(), (new Item.Properties()).m_41497_(Rarity.EPIC)));
  
  public static final RegistryObject<Item> SALVAGING_TABLE = Adventure.R.item("salvaging_table", () -> new BlockItem((Block)Adventure.Blocks.SALVAGING_TABLE.get(), new Item.Properties()));
  
  public static final RegistryObject<Item> GEM_CUTTING_TABLE = Adventure.R.item("gem_cutting_table", () -> new BlockItem((Block)Adventure.Blocks.GEM_CUTTING_TABLE.get(), new Item.Properties()));
  
  public static final RegistryObject<Item> AUGMENTING_TABLE = Adventure.R.item("augmenting_table", () -> new BlockItem((Block)Adventure.Blocks.AUGMENTING_TABLE.get(), (new Item.Properties()).m_41497_(Rarity.UNCOMMON)));
  
  public static final RegistryObject<Item> GEM = Adventure.R.item("gem", () -> new GemItem(new Item.Properties()));
  
  private static RegistryObject<Item> rarityMat(String id) {
    return Adventure.R.item(id + "_material", () -> new SalvageItem(RarityRegistry.INSTANCE.holder(Apotheosis.loc(id)), new Item.Properties()));
  }
  
  private static void bootstrap() {}
}
